package com.cku.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class SPOrderInfo {
    private String id;

    private String ckuId;

    private String username;

    private Integer mailaddressid;

    private String orderid;

    private Integer spIntegral;

    private BigDecimal spPrices;

    private String orderundo;

    private Date orderundotime;

    private String orderundotype;

    private String orderconfirm;

    private Date orderconfirmtime;

    private String payconfirm;

    private Date payconfirmtime;

    private String payinfo;

    private String expressconfirm;

    private Date expressconfirmtime;

    private String expresscompany;

    private String expressnumber;

    private Date addTime;

    private String outTradeNo;

    private String locked;

    private String orderremarks;
    
    private String delFlag;
    
    private List<SPCarts> SPCartsList;
    
    private String loginType;

    public List<SPCarts> getSPCartsList() {
		return SPCartsList;
	}

	public void setSPCartsList(List<SPCarts> sPCartsList) {
		SPCartsList = sPCartsList;
	}

	public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCkuId() {
        return ckuId;
    }

    public void setCkuId(String ckuId) {
        this.ckuId = ckuId == null ? null : ckuId.trim();
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public Integer getMailaddressid() {
        return mailaddressid;
    }

    public void setMailaddressid(Integer mailaddressid) {
        this.mailaddressid = mailaddressid;
    }

    public String getOrderid() {
        return orderid;
    }

    public void setOrderid(String orderid) {
        this.orderid = orderid == null ? null : orderid.trim();
    }

    public Integer getSpIntegral() {
        return spIntegral;
    }

    public void setSpIntegral(Integer spIntegral) {
        this.spIntegral = spIntegral;
    }

    public BigDecimal getSpPrices() {
        return spPrices;
    }

    public void setSpPrices(BigDecimal spPrices) {
        this.spPrices = spPrices;
    }

    public String getOrderundo() {
        return orderundo;
    }

    public void setOrderundo(String orderundo) {
        this.orderundo = orderundo == null ? null : orderundo.trim();
    }

    public Date getOrderundotime() {
        return orderundotime;
    }

    public void setOrderundotime(Date orderundotime) {
        this.orderundotime = orderundotime;
    }

    public String getOrderundotype() {
        return orderundotype;
    }

    public void setOrderundotype(String orderundotype) {
        this.orderundotype = orderundotype == null ? null : orderundotype.trim();
    }

    public String getOrderconfirm() {
        return orderconfirm;
    }

    public void setOrderconfirm(String orderconfirm) {
        this.orderconfirm = orderconfirm == null ? null : orderconfirm.trim();
    }

    public Date getOrderconfirmtime() {
        return orderconfirmtime;
    }

    public void setOrderconfirmtime(Date orderconfirmtime) {
        this.orderconfirmtime = orderconfirmtime;
    }

    public String getPayconfirm() {
        return payconfirm;
    }

    public void setPayconfirm(String payconfirm) {
        this.payconfirm = payconfirm == null ? null : payconfirm.trim();
    }

    public Date getPayconfirmtime() {
        return payconfirmtime;
    }

    public void setPayconfirmtime(Date payconfirmtime) {
        this.payconfirmtime = payconfirmtime;
    }

    public String getPayinfo() {
        return payinfo;
    }

    public void setPayinfo(String payinfo) {
        this.payinfo = payinfo == null ? null : payinfo.trim();
    }

    public String getExpressconfirm() {
        return expressconfirm;
    }

    public void setExpressconfirm(String expressconfirm) {
        this.expressconfirm = expressconfirm == null ? null : expressconfirm.trim();
    }

    public Date getExpressconfirmtime() {
        return expressconfirmtime;
    }

    public void setExpressconfirmtime(Date expressconfirmtime) {
        this.expressconfirmtime = expressconfirmtime;
    }

    public String getExpresscompany() {
        return expresscompany;
    }

    public void setExpresscompany(String expresscompany) {
        this.expresscompany = expresscompany == null ? null : expresscompany.trim();
    }

    public String getExpressnumber() {
        return expressnumber;
    }

    public void setExpressnumber(String expressnumber) {
        this.expressnumber = expressnumber == null ? null : expressnumber.trim();
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getOutTradeNo() {
        return outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo == null ? null : outTradeNo.trim();
    }

    public String getLocked() {
        return locked;
    }

    public void setLocked(String locked) {
        this.locked = locked == null ? null : locked.trim();
    }

    public String getOrderremarks() {
        return orderremarks;
    }

    public void setOrderremarks(String orderremarks) {
        this.orderremarks = orderremarks == null ? null : orderremarks.trim();
    }

	public String getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}

	public String getLoginType() {
		return loginType;
	}

	public void setLoginType(String loginType) {
		this.loginType = loginType;
	}
    
    
}